Wallboard API - Device Metrics (2.0)
API Support: [email protected]
Device health and performance monitoring for the Wallboard digital signage platform.
This API provides access to device performance metrics including:
- CPU and GPU usage
- Memory consumption
- Network traffic
- Storage usage
- Application health indicators
| Concept | Description |
|---|---|
| Metric Type | Category of measurement (CPU, GPU, memory, etc.) |
| Data Points | Number of samples to return in graph data |
| Time Range | Default: last 30 days, custom via from/to parameters |
| Category | Metrics |
|---|---|
| CPU | CPU, CPU_LOAD_1, CPU_LOAD_5, CPU_TEMP |
| GPU | GPU, GPU_TEMP, GPU_MEM |
| Memory | USED_SYS_MEM, USED_VM_MEM, USED_APP_MEM |
| Network | NET_APP_RX, NET_APP_TX, NET_SYS_RX, NET_SYS_TX |
| Storage | USED_STORAGE |
| Application | NUMBER_OF_THREADS, NUMBER_OF_PROCESSES, FPS |
| Health | CRASH_COUNT, ANR_COUNT, LOG_ERROR |
| Connectivity | SERVER_PING, WIFI_SIGNAL_DBM |
Get supported metrics for device
Get the list of metric types that the device supports and has data for.
Minimum role: VIEWER
Authorizations:
bearer
path Parameters
| deviceId required | string Device UUID |
Responses
Request samples
- cURL
curl -X GET \ 'https://{server}/api/deviceStat/device-uuid-123/supportedMetrics' \ -H 'Authorization: Bearer <token>'
Response samples
- 200
Content type
application/json
[- "CPU",
- "CPU_TEMP",
- "USED_SYS_MEM",
- "USED_APP_MEM",
- "FPS"
]Get device metric graphs
Get time-series graph data for device metrics.
Time range:
- Default: Last 30 days
- Custom: Use
fromandtoparameters (Unix timestamps in milliseconds)
Data points:
- Controls the number of samples returned
- Range: 1-1000 (default: 50)
- Higher values = more granular data but larger response
Metric selection:
- By default, returns all supported metrics
- Use request body to filter specific metric types
Minimum role: VIEWER
Authorizations:
bearer
path Parameters
| deviceId required | string Device UUID |
query Parameters
| from | integer <int64> Start time (Unix timestamp in milliseconds, default: 30 days ago) |
| to | integer <int64> End time (Unix timestamp in milliseconds, default: now) |
| dataPoints | integer [ 1 .. 1000 ] Default: 50 Number of data points to return (1-1000) |
Request Body schema: application/jsonoptional
Optional filter for specific metric types. If not provided, returns all supported metrics.
| metricTypes | Array of strings List of metric type names to retrieve |
Responses
Request samples
- Payload
- cURL - All metrics
- cURL - Specific metrics
- cURL - Custom time range
Content type
application/json
Example
{- "metricTypes": [
- "CPU",
- "CPU_TEMP",
- "USED_SYS_MEM",
- "USED_APP_MEM"
]
}Response samples
- 200
Content type
application/json
{- "graphs": {
- "CPU": {
- "values": {
- "1704067200000": 45.2,
- "1704153600000": 52.1
}, - "noDataIntervals": [ ],
- "sum": 2847.3,
- "avg": 47.45,
- "min": 30.2,
- "max": 68.9,
- "count": 60
}, - "USED_SYS_MEM": {
- "values": {
- "1704067200000": 2147483648,
- "1704153600000": 2358738944
}, - "noDataIntervals": [ ],
- "sum": 128849018880,
- "avg": 2147483648,
- "min": 1879048192,
- "max": 2684354560,
- "count": 60
}
}
}